import numpy as np
import sklearn.datasets as datasets

#  Genera un problema de regresión aleatorio
X, y = datasets.make_blobs(n_samples=100, n_features=2, centers=((1,1), (5,8)), cluster_std=1.0, center_box=(-10.0, 10.0), shuffle=True, random_state=None, return_centers=False)

print( X.shape )
print( y.shape )

y = np.reshape( y, (-1,1) )
print( y.shape )

D = np.hstack( (X, y) )
print( D.shape )

np.savetxt( "datos.csv", D, delimiter=',', fmt='%1.3f' )
