import numpy as np

#  Genera un problema de regresión aleatorio

n_muestras = 50
rng = np.random.RandomState(20)
X = 3.0*rng.randn(n_muestras, 1)
noise = rng.normal(loc=0.0, scale=0.02, size=n_muestras)
y = X[:, 0] + np.sin( np.pi * X[:, 0]) - noise

print( X.shape )
print( y.shape )

y = np.reshape( y, (-1,1) )
print( y.shape )

D = np.hstack( (X, y) )
print( D.shape )

np.savetxt( "datos.csv", D, delimiter=',', fmt='%1.3f' )
