import numpy as np
import matplotlib.pyplot as plt

D = np.loadtxt( "datos.csv", delimiter=',' )
print( D.shape )


fig, axis = plt.subplots()
axis.scatter( D[:,0], D[:,1] )

# Coefficients: 
#  [1.01220164]
# a0: 
#  -0.07163793377524708

vy = 1.01220164*D[:,0] - 0.07163793377524708

axis.set_aspect( 1 )
axis.plot( D[:,0], vy )
plt.show( )

