import sklearn.datasets as data
import numpy as np

X, y = data.make_circles( random_state=21, factor=0.4, noise=0.1 )
print( X.shape )
print( y.shape )

y = np.reshape( y, (-1,1) )
X = np.reshape( X, (-1,2) )
print( y.shape )
print( X.shape )
D = np.hstack( (X, y) )
print( D.shape )

np.savetxt( "circulos.csv", D, delimiter=',', fmt='%1.3f' )
